# trgt_jpeg.cpp File Reference

jpeg_trgt Target Module More...

`#include "trgt_jpeg.h"`
`#include <jpeglib.h>`
`#include <ETL/stringf>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Defines

#define | SYNFIG_TARGET

## Functions

| SYNFIG_TARGET_INIT (jpeg_trgt)
| SYNFIG_TARGET_SET_NAME (jpeg_trgt,"jpeg")
| SYNFIG_TARGET_SET_EXT (jpeg_trgt,"jpg")
| SYNFIG_TARGET_SET_VERSION (jpeg_trgt,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (jpeg_trgt,"$Id$")

## Detailed Description

jpeg_trgt Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_TARGET

## Function Documentation

SYNFIG_TARGET_INIT | ( | jpeg_trgt |  | ) |

SYNFIG_TARGET_SET_NAME | ( | jpeg_trgt | ,
|  | "jpeg" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | jpeg_trgt | ,
|  | "jpg" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | jpeg_trgt | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | jpeg_trgt | ,
|  | "$Id$" |  |
| ) |  |  |